i getting weird error and not sure how to fix it as i dont know how it got there.........
steps that got me here were.
1# installed my graphix card using the sites tut http://www.linuxforums.org/forum/lin...d-drivers.html
2# synaptic--->installed nvidia-xconfig(total mistake)was ment to be nvidia-glx
after that, I now cant install anything. Im newb to linux. and i just installed my video card, so im not sure if that is causing the problem.

Not even sure if it installed right, so here is the /etc/X11/xorg.conf file
# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 1.0  (buildmeister@builder62)  Tue Jan  6 09:43:54 P$

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0"
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"

Section "Files"

Section "Module"
    Load           "dbe"
    Load           "extmod"
    Load           "type1"
    Load           "freetype"
    Load           "glx"

Section "InputDevice"
    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"

Section "InputDevice"
    # generated from default
    Identifier     "Keyboard0"
    Driver         "kbd"
Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Unknown"
    HorizSync       28.0 - 33.0
    VertRefresh     43.0 - 72.0
    Option         "DPMS"
Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    SubSection     "Display"
        Depth       24
my problem is even when trying to upgrade?

# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up cpad-kernel-source (0.10-5) ...
Building cpad module for Linux 2.6.26-1-amd64 (this may take a few minutes)...dpkg: error processing cpad-kernel-source (--configure):
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)
synaptic qoutes
E: cpad-kernel-source: subprocess post-installation script returned error exit status 2
pc build:
CPU: amd+2 6000+ athlon(am2)
MOTHERBOARD: msi K9NU Neo (M1697chipset)
GRAPHIX CARD: msi N9800gtx(T2D512)
RAM: 6gig(800mhz)
HDD: Seagate Barracuda7200(160gig)
if this isnt enough info, please just ask what u need to see. Just xplain how as im still learning.?